:root{
    --primary: #8A77F0;
    --secondary: #F3F2FA;
    --top-bar: #D52F31;
    --text-light: #FFF;
    --text-dark: #090202;
}

/* Estilos Globales */

*{
    box-sizing: border-box;
}

html, body{
    margin: 0;
    padding: 0;
    font-family: "Albert Sans", sans-serif;
}

main{
    padding: 0;
    width: 700px;
    margin: 0 auto;
    max-width: 90%;
    margin-bottom: 60px;
}

p{
    line-height: 1.6;
}

.cta__body{
    text-align: center;
    max-width: 800px;
    margin: 0 auto;
    font-size: 20px;
}

button{
    border: none;
    padding: 10px 50px;
    color: var(--text-light);
    background-color: var(--primary);
    border-radius: 40px;
    font-family: inherit;
    font-size: 1rem;
    cursor: pointer;
    margin: 10px auto;
    font-size: 20px;
    font-weight: 400;
    z-index: 2;
    width: 100%;
    text-wrap: nowrap;
}


.button--inverted{
    border: 2px solid #C3BDE7;
    background-color: #F3F2FA;
    color: #A19BCB;
}

/* Barra de navegación */

nav{
    display: flex;
    align-items: center;
    height: 65px;
    -webkit-box-shadow: 0px 4px 30px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 4px 30px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 4px 30px 0px rgba(0,0,0,0.25);
    background: var(--primary);
}

.nav__list{
    list-style: none;
    display: flex;
    gap: 40px;
    text-wrap: nowrap;
}

.item__link{
    color: var(--text-light);
    text-decoration: none;
}

.logout__link{
    color: var(--text-light);
}

.nav__column--right{
    margin-left: auto;
    margin-right: 40px;
    display: flex;
    align-items: center;
    height: 100%;
    gap: 30px;
}

.credits{
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--text-light);
    text-wrap: nowrap;
}

.nav__button{
    border: none;
    padding: 10px 40px;
    color: var(--primary);
    background-color: var(--text-light);
    border-radius: 20px;
    font-family: inherit;
    font-size: 1rem;
    cursor: pointer;
}

/* Componentes para formularios */

.steps{
    display: grid;
    width: 1100px;
    max-width: 90%;
    margin: 100px auto;
    grid-template-columns: repeat(4, auto);
}

.step{
    display: flex;
    flex-direction: column;
}

.step__text{
    display: flex;
    gap: 10px;
    align-items: center;
}

.step__number{
    font-size: 30px;
    font-weight: 900;
    color: var(--primary);
    margin: 0;
    margin-left: -5px;
}

.step__title{
    font-size: 20px;
    font-weight: 600;
}

.shapes{
    display: flex;
    align-items: center;
}

.shapes__circle{
    height: 27px;
    min-width: 27px;
    border-radius: 20px;
    border: solid 3px var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    justify-self: center;
}

.step--current .shapes__circle{
    box-shadow: 0 0 0 3px #CFCAEC;
}

.step--completed .shapes__circle{
    background-color: var(--primary);
}

.shapes__bar{
    height: 3px;
    width: 100%;
    background-color: #CFCAEC;
    border-radius: 10px;
    margin: 10px;
}

.step:last-of-type .shapes__bar{
    display: none;
}

.step--completed .shapes__bar{
    background-color: var(--primary);
}

.circle__dot{
    height: 9px;
    width: 9px;
    background-color: var(--primary);
    border-radius: 50%;
    display: none;
}

.step--current .circle__dot{
    display: initial;
}

.circle__check{
    display: none;
}

.step--completed .circle__check{
    display: initial;
}

/* inputs y textareas */

/* form{
    display: flex;
    flex-direction: column;
    width: fit-content;
    margin: 150px auto;
    width: 600px;
    max-width: 90%;
} */

input[type="password"] {
    color: var(--primary);
    width: 100%;
}

.password__container{
    position: relative;
    display: flex;
}

.eye-icon{
    position: absolute;
    top: 24px;
    right: 30px;
    cursor: pointer;
}

input{
    margin: 10px 0;
    border: solid 1px #DBD8F1;
    background-color: #F3F2FA;
    border-radius: 15px;
    min-height: 45px;
    min-width: 325px;
    width: 100%;
    padding: 10px 15px;
    color: #454545;
    font-family: inherit;
    font-size: 1rem;
    font-weight: 300;
}

input:focus{
    outline: 3px solid var(--primary);
}

input::placeholder{
    color: #C3BDE7;
    font-size: 1rem;
    font-weight: 300;
}

.input__label{
    color: #454545;
}

textarea{
    resize: none;
    margin: 10px 0;
    border: solid 1px #DBD8F1;
    background-color: #F3F2FA;
    border-radius: 15px;
    padding: 10px 15px;
    color: #090202;
    font-family: inherit;
    font-size: 1rem;
    font-weight: 300;
}

textarea:focus{
    outline: 3px solid var(--primary);
}

textarea::placeholder{
    color: #C3BDE7;
    font-size: 1rem;
    font-weight: 300;
}

/* Checkboxes */

.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 1rem;
    line-height: 1.6;
    font-weight: 300;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
  
  /* Ocultar checkbox default */
.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
  
  /* Crea una checkbox personalizada */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eeeeee00;
    border-radius: 6px;
    border: solid 3px var(--primary);
}
  
  
  /* Checkbox seleccionada */
.container input:checked ~ .checkmark {
    background-color: var(--primary);
    border: solid 3px var(--primary);
}
  
.checkmark img {
    position: absolute;
    display: none;
}
  
  /* Mostrar icono al seleccionar */
.container input:checked ~ .checkmark img {
    display: inline-block;
}
  
.container .checkmark img {
    top: 2px;
    left: 2px;
    width: 15px;
    height: 15px;
}

/* radio */

.radio__container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    line-height: 1.6;
    cursor: pointer;
    font-size: 1rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    color: #454545;
  }
  
  /* Ocultar boton radio original */
  .radio__container input {
    position: absolute;
    left: 0;
    opacity: 0;
    cursor: pointer;
  }
  
  /* Crear boton radio personalizado */
  .radio__checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    border: solid 3px var(--primary);
    border-radius: 50%;
    
  }
  
  
  /* Agregar borde al radio selecionado */
  .radio__container input:checked ~ .radio__checkmark {
    box-shadow: 0 0 0 3px #CFCAEC;
  }
  
  /* Crear punto central */
  .radio__checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Mostrar punto central al seleccionar */
.radio__container input:checked ~ .radio__checkmark:after {
    display: block;
}
  
  /* Estilos del punto central */
.radio__container .radio__checkmark:after {
    top: 5px;
    left: 5px;
    width: 9px;
    height: 9px;
    border-radius: 50%;
    background: var(--primary);
}

/* mensajes del sistema */

.message__title{
    font-size: 20px;
    font-weight: 300;
    margin: 0;
}

.message__body{
    font-weight: 300;
}

.system__message{
    padding: 0 20px;
    border-radius: 15px;
    width: 100%;
    margin-bottom: 10px;
}

.system__message--success{
    color: #135732;
    background-color: #F2FAF3;
    border: 1px solid #D8F1DF;
}

.message__title--success{
    color: #135732;
}

.system__message--alert{
    color: #A87E25;
    background-color: #F9F3EA;
    border: 1px solid #F0E6D1;
}

.message__title--alert{
    color: #A87E25;
}

.system__message--error{
    color: #A82525;
    background-color: #F9EAEA;
    border: 1px solid #F0D1D1;
}

.message__title--error{
    color: #A82525;
}

.system__message--info{
    color: #2569A8;
    background-color: #EAF2F9;
    border: 1px solid #D1DCF0;
}

.message__title--info{
    color: #2569A8;
}

.recover__link{
    color: var(--primary);
    margin: 0 auto;
}

/* Selector de opciones */

.custom-select {
    position: relative;
    user-select: none;
    color: #454545;
    min-height: 35px;
    min-width: 325px;
    font-family: inherit;
    font-size: 1rem;
    font-weight: 300;
    border-radius: 15px;
    border: solid 1px #DBD8F1;
    margin-top: 20px;
}
  
/* Ocultar el elemento original */
.custom-select select {
    display: none; 
}
  
.select-selected {
    background-color: #F3F2FA;
    border: solid 1px #DBD8F1;
    border-radius: 15px;
    padding: 10px 15px;
}
  
  /* Estilos flecha del lado derecho */
.select-selected:after {
    position: absolute;
    content: "";
    top: 16px;
    right: 15px;
    width: 0;
    height: 0;
    border: 6px solid transparent;
    border-color: #454545 transparent transparent transparent;
    border-radius: 3px;
}
  
  /* Rotar flecha al abrir */
.select-selected.select-arrow-active:after {
    border-color: transparent transparent #454545 transparent;
    transform: translateY(-7px);
    border-radius: 3px;
}
  
  /* Estilos de las opciones, incluye la opcion seleccionada */
.select-items div,.select-selected {
    color: #454545;
    padding: 8px 16px;
    border: 1px solid transparent;
    cursor: pointer;
}
  
  /* Estilos de opciones */
  .select-items {
    position: absolute;
    background-color: #F3F2FA;
    top: 120%;
    left: 0;
    right: 0;
    z-index: 99;
    border-radius: 15px;
    border: solid 1px #DBD8F1;
  }
  
  /* Ocultar opciones si el selector esta cerrado */
  .select-hide {
    display: none;
  }
  
  .select-items div:hover, .same-as-selected {
    background-color: #DBD8F1;
  }

.file__container{
    position: relative;
    margin-top: 200px;
}

.file__input{
    height: 200px;
    width: 100%;
    
    opacity: 0;
    cursor: pointer;
}

.file__components{
    display: flex;
    flex-direction: column;
    position: absolute;
    align-items: center;
    justify-content: center;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: -1;
    border: dotted 2px #DBD8F1;
    border-radius: 15px;
}

.file__components h2{
    font-size: 20;
    font-weight: 300;
    color: #A19BCB;
    margin: 0;
}

.file__components p{
    font-size: 12px;
    font-weight: 300;
    margin: 8px;
}

.file__components button{
    text-wrap: nowrap;
    padding: 8px 20px;
    margin: 0;
    font-size: 16px;
    font-weight: 300;
    width: fit-content;
}

/* Calendario */

.calendar{
    width: 300px;
    border: solid 1px #DBD8F1;
    border-radius: 15px;
    padding: 15px 0;
    margin: 20px 0;
}

.calendar ul {list-style-type: none;}

.month {
  padding: 10px 25px;
  background: var(--text-light);
  border-radius: 15px;
}

.month ul {
  margin: 0;
  padding: 0;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

.month ul li {
  color: #454545;
  font-size: 18px;
  margin: 0 10px;
}

.month .prev {
  float: left;
}

.month .next {
  float: right;
}

/* Nombres de los días de la semana */
.weekdays {
  padding: 10px 20px;
  background-color:var(--text-light);
  margin: 0;
}

.weekdays li {
  display: inline-block;
  width: 12.6%;
  color: #454545;
  text-align: center;
  font-size: 18px;
  font-weight: 400;
}

/* Días (1-31) */
.days {
  padding: 10px 20px;
  background: var(--text-light);
  margin: 0 auto;
  border-radius: 15px;
}

.days li {
  list-style-type: none;
  display: inline-block;
  width: 12.6%;
  text-align: center;
  margin: 10px 0;
  font-size: 18px;
  font-weight: 400;
  color: #454545;
  position: relative;
  z-index: 2;
  cursor: pointer;
}

.days li .active {
  background: var(--primary);
  color: white !important;
  padding: 20px;
  position: absolute;
  top: -9px;
  left: -4px;
  border-radius: 50%;
  z-index: -1;
}

.day--active{
    color: white !important; 
}

.days .day--prev-month{
    color: #b3b3b3;
    cursor: initial;
}

/* Reloj */

.clock{
    display: flex;
    width: 300px;
    justify-content: space-around;
    align-items: center;
    border: solid 1px #DBD8F1;
    border-radius: 15px;
}

.clock ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: fit-content;
    padding: 0;
    justify-content: center;
    gap: 20px;
}

.colon{
    margin: -35px;
}

.clock ul li{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 18px;
    font-family: inherit;
    color: #454545;
    font-weight: 400;
}


.clock .prev{
    transform: rotate(-90deg);
}

.clock .next{
    transform: rotate(90deg);
}

.card__info{
    width: 100%;
    display: flex;
    gap: 20px;
    margin-bottom: 10px;
}

.card__info label{
    min-width: 0;
    width: 50%;
}

.card__info input{
    width: 100%;
    margin: 0;
    min-width: 0px;
}

@media(max-width: 1200px){
    .step__title{
        font-size: 16px;
    }
    .step__number{
        font-size: 20px;
        margin: 0;
    }
}

@media(max-width: 1100px){
    nav{
        justify-content: space-between;
        padding: 10px;
    }
    .nav__list{
        gap: 20px;
        padding: 0;
    }
    .nav__column--right{
        gap: 10px;
        margin: 0;
    }
}

@media(max-width: 900px){
    .steps{
        width: fit-content;
        max-width: 90%;
    }
    .step{
        position: relative;
        min-width: 150px;
    }
    .step:last-of-type{
        width: fit-content;
        min-width: 0px;
    }
    .step:last-of-type .step__text{
        transform: translate(-30%, 0);
    }
    .step__text{
        flex-direction: column;
        position: absolute;
        top: -30px;
        transform: translate(-40%, 0);
        text-align: center;
    }
    nav{
        padding: 20px;
    }
    .list__item{
        display: none;
    }
    .list__item:last-of-type{
        display: initial;
    }
    .credits__text span{
        display: none;
    }
    .nav__button{
        padding: 10px 20px;
    }
}

@media(max-width: 600px){
    .steps{
        scale: 0.8;
        margin-left: 0;
    }
    .step__text{
        max-width: 80px;
        transform: translate(-33%, 0);
    }
}

